# MPI_Type_get_contents

get type contents

## Synopsis

    int MPI_Type_get_contents(MPI_Datatype datatype,
                              int max_integers,
                              int max_addresses,
                              int max_datatypes,
                              int array_of_integers[],
                              MPI_Aint array_of_addresses[], MPI_Datatype array_of_datatypes[])

## Input Parameters

datatype
  datatype to access (handle)
max_integers
  number of elements in array_of_integers (non-negative integer)
max_addresses
  number of elements in array_of_addresses (non-negative integer)
max_datatypes
  number of elements in array_of_datatypes (non-negative integer)

## Output Parameters

array_of_integers
  contains integer arguments used in constructing the datatype (array of integers)
array_of_addresses
  contains address arguments used in constructing the datatype (array of integers)
array_of_datatypes
  contains datatype arguments used in constructing the datatype (array of handles)

## Notes

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

## Errors

All MPI routines (except `MPI_Wtime` and `MPI_Wtick`) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with `MPI_Comm_set_errhandler` (for communicators), `MPI_File_set_errhandler` (for files), and `MPI_Win_set_errhandler` (for RMA windows). The MPI-1 routine `MPI_Errhandler_set` may be used but its use is deprecated. The predefined error handler `MPI_ERRORS_RETURN` may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.

MPI_SUCCESS
  No error; MPI routine completed successfully.